if flags.videlKodNaKartine then
  setCursor(2,2)
else
  setcolor(1,1,1,1,0)
end

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id,attachedID);
  sendersProcessing(sender, obj_id, attachedID, "magnific_14_11");
  if sender==1 then
    if obj_id == 2 then
      if obj.magnific_14_11 and attachedID == obj.magnific_14_11.id then
        removeFromMouse()
        UnStoreObj(obj.magnific_14_11.id)
        Block_Show_Cur(true)
        SetAlfa(1,0,1,2,"frame1")
        flags.videlKodNaKartine = true
        neighbors.Kod.lock = true
        Journal:addText(15,"9028",144,122,330)
        Journal:addPicture(15,"page15",126,230,446,0,417,367);
      else
        if flags.videlKodNaKartine then
          CreatePlashechka("624")
        else
          CreatePlashechka("654")
        end
      end
    end
  end
end

function frame1()
  Block_Show_Cur(false)
  setCursor(2,2)
  CreatePlashechka("624")
end